### Method

# Snapd Snap get_proceed_time

since: 1.65

#### Declaration [src]

    GDateTime*
    snapd_snap_get_proceed_time (
      SnapdSnap* snap
    )

#### Description [src]

Returns the date and time after which a refresh is forced for this running snap in the next auto-refresh. By substracting the current date and time it’s possible to know how many time remains before the snap is forced to be refreshed.

Available since: 1.65

Gets property | `Snapd.Snap:proceed-time`

#### Return value

Type: `GDateTime`

A `GDateTime` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.